//
//  RequestTutorViewController.m
//  Tutor NOW
//
//  Created by Ryan Matsumoto on 11/20/14.
//  Copyright (c) 2014 Tutor NOW. All rights reserved.
//

#import "RequestTutorViewController.h"

@interface RequestTutorViewController ()
@property (weak, nonatomic) IBOutlet UITextField *iNeedHelp;
@property (weak, nonatomic) IBOutlet UITextField *hours;
@property (weak, nonatomic) IBOutlet UITextField *assignment;
@property (weak, nonatomic) IBOutlet UITextField *locationDescription;

@property (weak, nonatomic) IBOutlet UITextField *iNeedHelpLater;
@property (weak, nonatomic) IBOutlet UITextField *hoursLater;
@property (weak, nonatomic) IBOutlet UITextField *assignmentLater;
@property (weak, nonatomic) IBOutlet UITextField *locationDescriptionLater;

@end

@implementation RequestTutorViewController
@synthesize mapView = _mapView;
@synthesize mapView2 = _mapView2;
@synthesize nowButton = _nowButton;
@synthesize laterButton = _laterButton;
@synthesize datePicker = _datePicker;

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    [self.iNeedHelp setDelegate:self];
    [self.iNeedHelp setReturnKeyType:UIReturnKeyDone];
    [self.hours setDelegate:self];
    [self.hours setReturnKeyType:UIReturnKeyDone];
    [self.assignment setDelegate:self];
    [self.assignment setReturnKeyType:UIReturnKeyDone];
    [self.locationDescription setDelegate:self];
    [self.locationDescription setReturnKeyType:UIReturnKeyDone];
    
    
    [self.iNeedHelpLater setDelegate:self];
    [self.iNeedHelpLater setReturnKeyType:UIReturnKeyDone];
    [self.hoursLater setDelegate:self];
    [self.hoursLater setReturnKeyType:UIReturnKeyDone];
    [self.assignmentLater setDelegate:self];
    [self.assignmentLater setReturnKeyType:UIReturnKeyDone];
    [self.locationDescriptionLater setDelegate:self];
    [self.locationDescriptionLater setReturnKeyType:UIReturnKeyDone];

    
    [self.mapView.delegate self];
    [self.mapView2.delegate self];
    CLLocationCoordinate2D loc = CLLocationCoordinate2DMake(37.429035, -122.169857);
    MKCoordinateRegion region = MKCoordinateRegionMakeWithDistance(loc, 1000, 1000);
    [self.mapView setRegion:region animated:YES];
    [self.mapView2 setRegion:region animated:YES];
    
    MKPointAnnotation *annotationPoint = [[MKPointAnnotation alloc] init];
    annotationPoint.coordinate = self.mapView.centerCoordinate;
    annotationPoint.title = @"Tutoring location";
    annotationPoint.subtitle = @"Move map so pin is on desired location";
    [_mapView addAnnotation:annotationPoint];
    
    MKPointAnnotation *annotationPoint2 = [[MKPointAnnotation alloc] init];
    annotationPoint2.coordinate = self.mapView2.centerCoordinate;
    annotationPoint2.title = @"Tutoring location";
    annotationPoint2.subtitle = @"Move map so pin is on desired location";
    [_mapView2 addAnnotation:annotationPoint2];
    
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
    [textField resignFirstResponder];
    return YES;
}

- (void)mapView:(MKMapView *)mapView didUpdateUserLocation:(MKUserLocation *) userLocation
{
    CLLocationCoordinate2D loc = [userLocation coordinate];
    MKCoordinateRegion region = MKCoordinateRegionMakeWithDistance(loc, 1000, 1000);
    [self.mapView setRegion:region animated:YES];
}

- (IBAction)nowButtonTouched:(id)sender {
    _nowButton.backgroundColor = [UIColor blackColor];
    _nowButton.tintColor = [UIColor whiteColor];
    _laterButton.backgroundColor = [UIColor whiteColor];
    _laterButton.tintColor = [UIColor blueColor];
}

- (IBAction)laterButtonTouched:(id)sender {
    _laterButton.backgroundColor = [UIColor blackColor];
    _laterButton.tintColor = [UIColor whiteColor];
    _nowButton.backgroundColor = [UIColor whiteColor];
    _nowButton.tintColor = [UIColor blueColor];
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
